Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.business.mycarenetdomaincommons.exception
Enum InvalidBlobContentConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<InvalidBlobContentConnectorExceptionValues>
          be.ehealth.business.mycarenetdomaincommons.exception.InvalidBlobContentConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<InvalidBlobContentConnectorExceptionValues>

    public enum InvalidBlobContentConnectorExceptionValues

extends Enum<InvalidBlobContentConnectorExceptionValues>

Types of `InvalidBlobContentConnectorException`.
Used in ChapterIV

Enum Constant Summary
`HASH_VALUES_DIFFERENT` Could not find the settings file : {0}.
`HASHVALUE_NULL` The hash value is required but null
`PARAMETER_NULL` This parameter is null : {0}.
`SETTINGS_NOT_FOUND` Could not find the settings file : {0}.
`XADESVALUE_NULL` The hash value is required but null
`XADESVALUES_DIFFERENT` xades values not equal.

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`static InvalidBlobContentConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InvalidBlobContentConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SETTINGS_NOT_FOUND

    public static final InvalidBlobContentConnectorExceptionValues SETTINGS_NOT_FOUND

  Could not find the settings file : {0}.

### HASH_VALUES_DIFFERENT

    public static final InvalidBlobContentConnectorExceptionValues HASH_VALUES_DIFFERENT

  Could not find the settings file : {0}.

### PARAMETER_NULL

    public static final InvalidBlobContentConnectorExceptionValues PARAMETER_NULL

  This parameter is null : {0}.

### HASHVALUE_NULL

    public static final InvalidBlobContentConnectorExceptionValues HASHVALUE_NULL

  The hash value is required but null

### XADESVALUES_DIFFERENT

    public static final InvalidBlobContentConnectorExceptionValues XADESVALUES_DIFFERENT

  xades values not equal.

### XADESVALUE_NULL

    public static final InvalidBlobContentConnectorExceptionValues XADESVALUE_NULL

  The hash value is required but null

Method Detail

### values

    public static InvalidBlobContentConnectorExceptionValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InvalidBlobContentConnectorExceptionValues c : InvalidBlobContentConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InvalidBlobContentConnectorExceptionValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Returns:
    the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.